petsc-3.7.1 2016-05-15
Report Typos and Errors

# TaoDefaultComputeHessianColor

Computes the Hessian using colored finite differences.

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoDefaultComputeHessianColor(Tao tao, Vec V, Mat H,Mat B,void *ctx)

Collective on Tao Many br

### Input Parameters

| tao | - the Tao context Many br
| V | - compute Hessian at this point Many br
| ctx | - the PetscColoring object (must be of type MatFDColoring) Many br

### Output Parameters

| H | - Hessian matrix (not altered in this routine) Many br
| B | - newly computed Hessian matrix to use with preconditioner (generally the same as H) Many br

Many br

### See Also

TaoSetHessianRoutine(), TaoDefaultComputeHessian(),SNESComputeJacobianDefaultColor(), TaoSetGradientRoutine()

Level:advanced
Location:src/tao/interface/fdiff.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/tao/unconstrained/examples/tutorials/minsurf2.c.html